# Uses of Enum Class
javafx.animation.Animation.Status

Packages that use Animation.Status
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.

## Uses of Animation.Status in javafx.animation

Methods in javafx.animation that return Animation.Status
Modifier and Type
Method
Description
`final Animation.Status`
Animation.`getStatus()`
Gets the value of the `status` property.
`static Animation.Status`
Animation.Status.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Animation.Status[]`
Animation.Status.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.animation that return types with arguments of type Animation.Status
Modifier and Type
Method
Description
`final ReadOnlyObjectProperty<Animation.Status>`
Animation.`statusProperty()`
The status of the `Animation`.
Methods in javafx.animation with parameters of type Animation.Status
Modifier and Type
Method
Description
`protected final void`
Animation.`setStatus(Animation.Status value)`
Sets the value of the `status` property.